#!/usr/bin/env -S node --import @swc-node/register/esm-register --enable-source-maps

import { program } from "commander";

import { ossExtractCommand } from "./command/oss-extract/program.js";
import { pnpmWorkspaceUpdateCommand } from "./command/pnpm-workspace-update/program.js";
import { tsconfigTranspileMonorepoDependenciesCommand } from "./command/tsconfig-transpile-monorepo-dependencies/program.js";

program.addCommand(ossExtractCommand());
program.addCommand(pnpmWorkspaceUpdateCommand());
program.addCommand(tsconfigTranspileMonorepoDependenciesCommand());

program.helpCommand(true);
program.parse(process.argv);
